import { FloatFormFieldManager } from './FloatFormFieldManager.js';
import { IntegerFormFieldManager } from './IntegerFormFieldManager.js';
import { SelectFormFieldManager } from './SelectFormFieldManager.js';
import { StringFormFieldManager } from './StringFormFieldManager.js';
import { BooleanFormFieldManager } from './BooleanFormFieldManager.js';
export const managers = [
    new FloatFormFieldManager(),
    new IntegerFormFieldManager(),
    new SelectFormFieldManager(),
    new StringFormFieldManager(),
    new BooleanFormFieldManager(),
];
export const getManager = (formFieldType, customManagers = []) => {
    return [...managers, ...customManagers].find(manager => manager.type === formFieldType);
};
